Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.jni
Interface ProcErrorCallback

    public interface ProcErrorCallback

ProcErrorCallback Interface

Version:
  $Id: ProcErrorCallback.java 939309 2010-04-29 13:54:26Z kkolinko $
Author:
  Mladen Turk

Method Summary
`void` | `callback(long pool, int err, String description)` Called in the child process if APR encounters an error in the child prior to running the specified program.

Method Detail

### callback

    void callback(long pool,
                  int err,
                  String description)

  Called in the child process if APR encounters an error in the child prior to running the specified program.

  Parameters:
    `pool` - Pool associated with the apr_proc_t. If your child error function needs user data, associate it with this pool.
    `err` - APR error code describing the error
    `description` - Text description of type of processing which failed

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.